Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class ApplicationListener

    java.lang.Object
      org.apache.catalina.deploy.ApplicationListener

    public class ApplicationListener

extends Object

Enables additional attributes other than just the name to be recorded for an application listener.

Constructor Summary
`ApplicationListener(String className, boolean pluggabilityBlocked)`

Method Summary
`String` `getClassName()`
`boolean` `isPluggabilityBlocked()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationListener

    public ApplicationListener(String className,
                               boolean pluggabilityBlocked)

Method Detail

### getClassName

    public String getClassName()

### isPluggabilityBlocked

    public boolean isPluggabilityBlocked()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.